Skip to main content
PATCH
Update SSO Provider
Applies to BloodHound Enterprise and CE

Authorizations

Authorization
string
header
required

Authorization: Bearer $JWT_TOKEN

Headers

Prefer
string
default:wait=30

Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.

Pattern: ^wait=(-1|[0-9]+)$

Path Parameters

sso_provider_id
integer<int32>
required

SSO Provider ID

Body

name
string

Name of the new SAML provider.

metadata
file

Metadata XML file.

config.auto_provision.enabled
string

boolean that, if enabled, allows SSO providers to auto provision bloodhound users on initial login

Example:

"true"

config.auto_provision.default_role_id
string

default role id for the user created from SSO provider auto provision

Example:

"3"

config.auto_provision.role_provision
string

boolean that, if enabled, allows sso providers to manage roles for newly created users

Example:

"false"

Response

OK

data
object